Show / Hide Table of Contents

# Class OpenIddictValidationEvents.HandleConfigurationResponseContext

Represents an event called for each validated configuration response.

##### Inheritance

System.Object
OpenIddictValidationEvents.BaseContext
OpenIddictValidationEvents.BaseRequestContext
OpenIddictValidationEvents.BaseValidatingContext
OpenIddictValidationEvents.BaseExternalContext
OpenIddictValidationEvents.HandleConfigurationResponseContext

##### Inherited Members

OpenIddictValidationEvents.BaseExternalContext.Address
OpenIddictValidationEvents.BaseValidatingContext.IsRejected
OpenIddictValidationEvents.BaseValidatingContext.Error
OpenIddictValidationEvents.BaseValidatingContext.ErrorDescription
OpenIddictValidationEvents.BaseValidatingContext.ErrorUri
OpenIddictValidationEvents.BaseValidatingContext.Reject(String, String, String)
OpenIddictValidationEvents.BaseRequestContext.IsRequestHandled
OpenIddictValidationEvents.BaseRequestContext.IsRequestSkipped
OpenIddictValidationEvents.BaseRequestContext.HandleRequest()
OpenIddictValidationEvents.BaseRequestContext.SkipRequest()
OpenIddictValidationEvents.BaseContext.Transaction
OpenIddictValidationEvents.BaseContext.EndpointType
OpenIddictValidationEvents.BaseContext.Issuer
OpenIddictValidationEvents.BaseContext.Logger
OpenIddictValidationEvents.BaseContext.Options
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Validation

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class HandleConfigurationResponseContext : OpenIddictValidationEvents.BaseExternalContext

### Constructors

#### HandleConfigurationResponseContext(OpenIddictValidationTransaction)

Creates a new instance of the OpenIddictValidationEvents.HandleConfigurationResponseContext class.

##### Declaration

    public HandleConfigurationResponseContext(OpenIddictValidationTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationTransaction | transaction |

### Properties

#### Configuration

Gets the OpenID Connect configuration.

##### Declaration

    public OpenIdConnectConfiguration Configuration { get; }

##### Property Value

Type | Description
--- | ---
OpenIdConnectConfiguration |

#### Request

Gets or sets the request.

##### Declaration

    public OpenIddictRequest Request { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictRequest |

#### Response

Gets or sets the response.

##### Declaration

    public OpenIddictResponse Response { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictResponse |